curl --request POST \
--url https://staging.api.us.aptlydone.com/matrix/v1/matrix/global-search/counts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tenantId": "da332a80-12e9-487b-a5f5-e8c794d0410f",
"matrixStatusName": "Active",
"countStatusName": "Draft,Archived",
"search": "Investment",
"isFavorite": true,
"groupIds": "e75796e7-f7d7-4cd8-8010-bc6e5ffff626, 6204647d-a7ea-4d1f-92ee-cb3f3c2e8fee",
"positionIds": "cdc27151-4abf-4590-b62c-3d524db1c181, c42f6b90-eb3b-4c52-84e9-08c1dc5042c8",
"sectionIds": "8d17bae1-ac8e-4676-b080-489197eb8c1d, 87ba5cee-d407-4bfb-99a4-5bfabcf8856a",
"categoryIds": "376a79c5-4a45-4883-a290-8c3a0eface0b, c90a7980-e88e-42a6-b4b7-ee2daed33293",
"matrixSharingType": "SHARED",
"ownerId": "8c651e13-611d-414c-92d9-9aff470a31a0, 49dfa86c-55f2-4152-837f-fc551284439a",
"userIds": "c6df919b-91c2-46c9-96e4-327227e50705, e265822b-4d1a-4e06-be86-c87e6749288a",
"links": null,
"selectedMatrixIds": "41f5545f-71bb-473b-8eb1-19475a0eb169, 8d6d9a3e-d772-4800-bb6f-0ae3497da1bc",
"createdAtStart": "2025-01-01T00:00:00.000Z",
"createdAtEnd": "2025-12-31T23:59:59.999Z",
"updatedAtStart": "2025-01-01T00:00:00.000Z",
"updatedAtEnd": "2025-12-31T23:59:59.999Z",
"select": "id,matrixName,matrixDescription,matrixStatus",
"selectedTab": "active"
}
'import requests
url = "https://staging.api.us.aptlydone.com/matrix/v1/matrix/global-search/counts"
payload = {
"tenantId": "da332a80-12e9-487b-a5f5-e8c794d0410f",
"matrixStatusName": "Active",
"countStatusName": "Draft,Archived",
"search": "Investment",
"isFavorite": True,
"groupIds": "e75796e7-f7d7-4cd8-8010-bc6e5ffff626, 6204647d-a7ea-4d1f-92ee-cb3f3c2e8fee",
"positionIds": "cdc27151-4abf-4590-b62c-3d524db1c181, c42f6b90-eb3b-4c52-84e9-08c1dc5042c8",
"sectionIds": "8d17bae1-ac8e-4676-b080-489197eb8c1d, 87ba5cee-d407-4bfb-99a4-5bfabcf8856a",
"categoryIds": "376a79c5-4a45-4883-a290-8c3a0eface0b, c90a7980-e88e-42a6-b4b7-ee2daed33293",
"matrixSharingType": "SHARED",
"ownerId": "8c651e13-611d-414c-92d9-9aff470a31a0, 49dfa86c-55f2-4152-837f-fc551284439a",
"userIds": "c6df919b-91c2-46c9-96e4-327227e50705, e265822b-4d1a-4e06-be86-c87e6749288a",
"links": None,
"selectedMatrixIds": "41f5545f-71bb-473b-8eb1-19475a0eb169, 8d6d9a3e-d772-4800-bb6f-0ae3497da1bc",
"createdAtStart": "2025-01-01T00:00:00.000Z",
"createdAtEnd": "2025-12-31T23:59:59.999Z",
"updatedAtStart": "2025-01-01T00:00:00.000Z",
"updatedAtEnd": "2025-12-31T23:59:59.999Z",
"select": "id,matrixName,matrixDescription,matrixStatus",
"selectedTab": "active"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tenantId: 'da332a80-12e9-487b-a5f5-e8c794d0410f',
matrixStatusName: 'Active',
countStatusName: 'Draft,Archived',
search: 'Investment',
isFavorite: true,
groupIds: 'e75796e7-f7d7-4cd8-8010-bc6e5ffff626, 6204647d-a7ea-4d1f-92ee-cb3f3c2e8fee',
positionIds: 'cdc27151-4abf-4590-b62c-3d524db1c181, c42f6b90-eb3b-4c52-84e9-08c1dc5042c8',
sectionIds: '8d17bae1-ac8e-4676-b080-489197eb8c1d, 87ba5cee-d407-4bfb-99a4-5bfabcf8856a',
categoryIds: '376a79c5-4a45-4883-a290-8c3a0eface0b, c90a7980-e88e-42a6-b4b7-ee2daed33293',
matrixSharingType: 'SHARED',
ownerId: '8c651e13-611d-414c-92d9-9aff470a31a0, 49dfa86c-55f2-4152-837f-fc551284439a',
userIds: 'c6df919b-91c2-46c9-96e4-327227e50705, e265822b-4d1a-4e06-be86-c87e6749288a',
links: null,
selectedMatrixIds: '41f5545f-71bb-473b-8eb1-19475a0eb169, 8d6d9a3e-d772-4800-bb6f-0ae3497da1bc',
createdAtStart: '2025-01-01T00:00:00.000Z',
createdAtEnd: '2025-12-31T23:59:59.999Z',
updatedAtStart: '2025-01-01T00:00:00.000Z',
updatedAtEnd: '2025-12-31T23:59:59.999Z',
select: 'id,matrixName,matrixDescription,matrixStatus',
selectedTab: 'active'
})
};
fetch('https://staging.api.us.aptlydone.com/matrix/v1/matrix/global-search/counts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 200,
"timestamp": "2026-01-08T06:33:22.023Z",
"message": "Success",
"data": {
"activeCount": 123,
"inactiveCount": 123,
"favoriteCount": 123,
"allCount": 123
}
}{
"activeCount": 123,
"inactiveCount": 123,
"favoriteCount": 123,
"allCount": 123
}Get matrix status counts with global search filtering
Get matrix status counts with support for all filters including status, owner, groups, positions, users, dates, favorites, and more. Functionally identical to the counts API but with global search filtering.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Tenant ID
"da332a80-12e9-487b-a5f5-e8c794d0410f"
Comma separated Matrix Status values for matrices list
"Active"
Comma separated Matrix Status values for count section
"Draft,Archived"
Search string for matrix name, description, or matrix ID
"Investment"
Is the Matrix a favorite
true
Comma separated Group IDs
"e75796e7-f7d7-4cd8-8010-bc6e5ffff626, 6204647d-a7ea-4d1f-92ee-cb3f3c2e8fee"
Comma separated Position IDs
"cdc27151-4abf-4590-b62c-3d524db1c181, c42f6b90-eb3b-4c52-84e9-08c1dc5042c8"
Comma separated Section IDs
"8d17bae1-ac8e-4676-b080-489197eb8c1d, 87ba5cee-d407-4bfb-99a4-5bfabcf8856a"
Comma separated Category IDs
"376a79c5-4a45-4883-a290-8c3a0eface0b, c90a7980-e88e-42a6-b4b7-ee2daed33293"
Comma separated Matrix Sharing Type values
"SHARED"
Comma separated Owner User IDs
"8c651e13-611d-414c-92d9-9aff470a31a0, 49dfa86c-55f2-4152-837f-fc551284439a"
Comma separated User IDs
"c6df919b-91c2-46c9-96e4-327227e50705, e265822b-4d1a-4e06-be86-c87e6749288a"
Comma separated Matrix Link
null
Decisions count filter
Show child attributes
Show child attributes
Delegations count filter
Show child attributes
Show child attributes
Comma separated Selected Matrix IDs
"41f5545f-71bb-473b-8eb1-19475a0eb169, 8d6d9a3e-d772-4800-bb6f-0ae3497da1bc"
Start date for creation date filtering (ISO format)
"2025-01-01T00:00:00.000Z"
End date for creation date filtering (ISO format)
"2025-12-31T23:59:59.999Z"
Start date for last update filtering (ISO format)
"2025-01-01T00:00:00.000Z"
End date for last update filtering (ISO format)
"2025-12-31T23:59:59.999Z"
Comma separated fields to select in response
"id,matrixName,matrixDescription,matrixStatus"
Selected tab to filter counts and listings (active, inactive, favorite, all)
active, inactive, favorite, all "active"
Was this page helpful?